dechex
deg2rad
Math Functions
PHP Manual

# decoct

(PHP 4, PHP 5)

decoct — Decimal to octal

### Description

string decoct ( int `$number` )

Returns a string containing an octal representation of the given `number` argument. The largest number that can be converted is 4294967295 in decimal resulting to "37777777777".

### Parameters

`number`

  Decimal value to convert

### Return Values

Octal string representation of `number`

### Examples

Example #1 decoct() example

`<?php
echo decoct(15) . "\n";
echo decoct(264);
?>`

The above example will output:

    17
    410

### See Also

- octdec() - Octal to decimal
- decbin() - Decimal to binary
- dechex() - Decimal to hexadecimal
- base_convert() - Convert a number between arbitrary bases

dechex
deg2rad
Math Functions
PHP Manual